%define oname   ParseTree

Name:       ruby-%{oname}
Version:    3.0.7
Release:    %mkrel 1
Summary:    A C extension that extracts the parse tree for an entire class
Group:      Development/Ruby
License:    MIT
URL:        http://rubyforge.org/projects/parsetree/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     ParseTree-3.0.6-missing-include.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: rubygem(ruby2ruby) >= 1.2.5
BuildRequires: rubygem(RubyInline) >= 3.7.0
BuildRequires: rubygem(sexp_processor) >= 3.0.0
BuildRequires: rubygem(minitest) >= 1.6.0
BuildRequires: rubygem(hoe) >= 2.6.0
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
ParseTree is a C extension (using RubyInline) that extracts the parse
tree for an entire class or a specific method and returns it as a
s-expression (aka sexp) using ruby's arrays, strings, symbols, and
integers.
As an example:
def conditional1(arg1)
if arg1 == 0 then
return 1
end
return 0
end
becomes:
[:defn,
:conditional1,
[:scope,
[:block,
[:args, :arg1],
[:if,
[:call, [:lvar, :arg1], :==, [:array, [:lit, 0]]],
[:return, [:lit, 1]],
nil],
[:return, [:lit, 0]]]]]

%files
%defattr(-, root, root, -)
%{_bindir}/parse_tree_abc
%{_bindir}/parse_tree_audit
%{_bindir}/parse_tree_deps
%{_bindir}/parse_tree_show
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/gems/%{oname}-%{version}/test
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.txt
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

#fix shebang once again...
sed -i 's;/usr/local/bin/ruby;/usr/bin/env ruby;' %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/{bin/*,test/*.rb}
sed -i '/^#!/d' %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/parse_tree.rb

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Sat Apr 16 2011 shikamaru <shikamaru> 3.0.7-1.mga1
+ Revision: 86477
- new version 3.0.7

* Tue Jan 25 2011 shikamaru <shikamaru> 3.0.6-4.mga1
+ Revision: 39604
- rebuild for new rubygems.rb

* Tue Jan 25 2011 shikamaru <shikamaru> 3.0.6-3.mga1
+ Revision: 39328
- add check section
- fix missing include in test

* Mon Jan 24 2011 shikamaru <shikamaru> 3.0.6-2.mga1
+ Revision: 37747
- imported package ruby-ParseTree


* Mon Jan 24 2011 Rémy Clouard <shikamaru@mandriva.org> - 3.0.6-2mdv2011.0
- Initial package

* Fri Oct 15 2010 Rémy Clouard <shikamaru@mandriva.org> 3.0.6-1mdv2011.0
+ Revision: 585881
- import rubygem-ParseTree

